# Class S3ServiceInstance

#### Hierarchy (view full)

- RWSService
  - S3ServiceInstance

- Defined in src/services/S3Service.ts:7

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_instances

### Methods

bucketExists
delete
deleteObject
downloadObject
downloadToString
getReloadable
objectExists
reloadService
upload
getSingleton

## Constructors

### constructor

- new S3ServiceInstance(): S3ServiceInstance

- #### Returns S3ServiceInstance

  Overrides RWSService.constructor

  - Defined in src/services/S3Service.ts:8

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### bucketExists

- bucketExists(bucketName, region?): Promise<string>

- #### Parameters

  - ##### bucketName: string

  - ##### region: string = null

  #### Returns Promise<string>

  - Defined in src/services/S3Service.ts:80

### delete

- delete(params, region?): Promise<void>

- #### Parameters

  - ##### params: DeleteObjectRequest

  - ##### region: string = null

  #### Returns Promise<void>

  - Defined in src/services/S3Service.ts:57

### deleteObject

- deleteObject(params, region?): Promise<void>

- #### Parameters

  - ##### params: DeleteObjectRequest

  - ##### region: string = null

  #### Returns Promise<void>

  - Defined in src/services/S3Service.ts:76

### downloadObject

- downloadObject(params, region?): Promise<GetObjectOutput>

- #### Parameters

  - ##### params: GetObjectRequest

  - ##### region: string = null

  #### Returns Promise<GetObjectOutput>

  - Defined in src/services/S3Service.ts:32

### downloadToString

- downloadToString(s3key, bucket, region?): Promise<string>

- #### Parameters

  - ##### s3key: string

  - ##### bucket: string

  - ##### `Optional` region: string

  #### Returns Promise<string>

  - Defined in src/services/S3Service.ts:37

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### objectExists

- objectExists(params, region?): Promise<boolean>

- #### Parameters

  - ##### params: HeadObjectRequest

  - ##### region: string = null

  #### Returns Promise<boolean>

  - Defined in src/services/S3Service.ts:64

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### upload

- upload(params, override?, region?): Promise<SendData>

- #### Parameters

  - ##### params: PutObjectRequest

  - ##### override: boolean = true

  - ##### region: string = null

  #### Returns Promise<SendData>

  - Defined in src/services/S3Service.ts:12

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc